Issue 8900

Summary: Option to disable "use printer metrics to lay out document"
Product: Writer Reporter: eamon <eamonfitzpatrick>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: OOo 1.0.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description eamon 2002-11-01 20:58:28 UTC
Changes in formating accross print drivers

If you create openoffice document with one print driver and then switch to 
another the formating can change esp. flow accross pages and tabs.

This is especially evident with A4 document containing tables (I will email if 
requested). 

Happens when switching between distiller/pdfwriter 4/fax(inbuilt into w2000) 
and most other drivers i.e. generic postcript, hp drivers etc.

Also noticed this bug in staroffice 6.0 (with patch). I seem to remember older 
versions of word doing this.
Comment 1 caolanm 2002-11-04 09:28:15 UTC
OOo is a WYSIWYG editor, if you change the printer driver then you
have changed the printer, and if the new printer will lay out text
differently than the older printer, then OOo will show you what it
will look like printed on that new printer. So its meant to happen,
and not a bug. 

It is true that new versions of word have by default a compatability
flag unset to not "use printer metrics to layout document", which
seems to imply that if you print from a new ver of word that you might
not get what you see on screen. And this is one of the issues that I'm
suspicious about in relation to different layout of word and writer.

So what we would be looking at here is a similiar option to disable
using the current printer driver and instead use some sort of "ideal"
printer driver. And obviously it would be perfect to be able to
duplicate word's ideal printer. I've made this into an enhancement
suggestion along those lines.
Comment 2 bettina.haberer 2003-03-17 14:56:53 UTC
Thank you for this issue. I had to change the prio accordingly , as
prio 1 only makes sense in cases as e.g. crashes, freezes, data loss
or makes it impossible to create documents. 


Comment 3 eric.savary 2003-04-16 15:32:40 UTC
Set to "NEW"
Comment 4 caolanm 2003-04-16 15:43:12 UTC
cmc->bh/qa: This has actaully been implemented for 1.1Beta2. So this
one is done and possible to close.
Comment 5 ace_dent 2008-05-16 02:39:32 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 6 bettina.haberer 2010-05-21 14:49:37 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".